Submit verification documents
Sends 1 to 3 documents to Meta in one request. Each document is a PDF, JPEG, or PNG of
5 MB or less, from an HTTPS source_url or a multipart file.
A submission Meta receives uses one of the portfolio’s 3 attempts. 202 means Kapso
accepted the request, not that Meta verified the business. Check state and last_error,
then poll the path in Location.
Idempotency-Key is required. After a timeout, retry with the same key and the same
documents to get the same submission. The same key with different documents (including a
renewed signed URL) returns 409. Use a new key only for a new attempt, and never while
the state is outcome_unknown.
curl --request POST \
--url https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"documents": [
{
"source_url": "https://files.example.com/certificate.pdf",
"roles": [
"legal_name"
]
},
{
"source_url": "https://files.example.com/bank-statement.pdf",
"roles": [
"address"
]
}
]
}
'import requests
url = "https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions"
payload = { "documents": [
{
"source_url": "https://files.example.com/certificate.pdf",
"roles": ["legal_name"]
},
{
"source_url": "https://files.example.com/bank-statement.pdf",
"roles": ["address"]
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
documents: [
{source_url: 'https://files.example.com/certificate.pdf', roles: ['legal_name']},
{source_url: 'https://files.example.com/bank-statement.pdf', roles: ['address']}
]
})
};
fetch('https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documents' => [
[
'source_url' => 'https://files.example.com/certificate.pdf',
'roles' => [
'legal_name'
]
],
[
'source_url' => 'https://files.example.com/bank-statement.pdf',
'roles' => [
'address'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions"
payload := strings.NewReader("{\n \"documents\": [\n {\n \"source_url\": \"https://files.example.com/certificate.pdf\",\n \"roles\": [\n \"legal_name\"\n ]\n },\n {\n \"source_url\": \"https://files.example.com/bank-statement.pdf\",\n \"roles\": [\n \"address\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"documents\": [\n {\n \"source_url\": \"https://files.example.com/certificate.pdf\",\n \"roles\": [\n \"legal_name\"\n ]\n },\n {\n \"source_url\": \"https://files.example.com/bank-statement.pdf\",\n \"roles\": [\n \"address\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documents\": [\n {\n \"source_url\": \"https://files.example.com/certificate.pdf\",\n \"roles\": [\n \"legal_name\"\n ]\n },\n {\n \"source_url\": \"https://files.example.com/bank-statement.pdf\",\n \"roles\": [\n \"address\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "5b0f3c9e-7f1a-4c55-9a51-1f9f7d2b8e40",
"state": "pending",
"submitted_at": "2026-10-17T14:05:02Z",
"decided_at": null,
"documents": [
{
"id": 81234,
"filename": "document",
"content_type": "application/pdf",
"byte_size": 248113,
"roles": [
"legal_name"
]
},
{
"id": 81235,
"filename": "document",
"content_type": "application/pdf",
"byte_size": 391002,
"roles": [
"address"
]
}
],
"documents_purged": false,
"documents_purge_after": null,
"rejection_reasons": [],
"last_error": null
}
}{
"error": "Supply an Idempotency-Key of 1 to 255 bytes",
"code": "invalid_idempotency_key"
}{
"error": "<string>"
}{
"error": "Verification resource not found",
"code": "not_found"
}{
"error": "A verification is already in review with Meta.",
"code": "review_in_progress"
}{
"error": "Document URLs must use HTTPS",
"code": "document_invalid"
}Authorizations
Headers
1 to 255 bytes. Non-ASCII characters use more than one byte each.
1 - 255Path Parameters
Meta business portfolio ID of a production number in your project.
Body
1 - 3 elementsShow child attributes
Show child attributes
Response
Submission accepted. Poll it for Meta's decision.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"documents": [
{
"source_url": "https://files.example.com/certificate.pdf",
"roles": [
"legal_name"
]
},
{
"source_url": "https://files.example.com/bank-statement.pdf",
"roles": [
"address"
]
}
]
}
'import requests
url = "https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions"
payload = { "documents": [
{
"source_url": "https://files.example.com/certificate.pdf",
"roles": ["legal_name"]
},
{
"source_url": "https://files.example.com/bank-statement.pdf",
"roles": ["address"]
}
] }
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
documents: [
{source_url: 'https://files.example.com/certificate.pdf', roles: ['legal_name']},
{source_url: 'https://files.example.com/bank-statement.pdf', roles: ['address']}
]
})
};
fetch('https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documents' => [
[
'source_url' => 'https://files.example.com/certificate.pdf',
'roles' => [
'legal_name'
]
],
[
'source_url' => 'https://files.example.com/bank-statement.pdf',
'roles' => [
'address'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions"
payload := strings.NewReader("{\n \"documents\": [\n {\n \"source_url\": \"https://files.example.com/certificate.pdf\",\n \"roles\": [\n \"legal_name\"\n ]\n },\n {\n \"source_url\": \"https://files.example.com/bank-statement.pdf\",\n \"roles\": [\n \"address\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"documents\": [\n {\n \"source_url\": \"https://files.example.com/certificate.pdf\",\n \"roles\": [\n \"legal_name\"\n ]\n },\n {\n \"source_url\": \"https://files.example.com/bank-statement.pdf\",\n \"roles\": [\n \"address\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kapso.ai/platform/v1/whatsapp/portfolios/{portfolio_id}/business_verification/submissions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documents\": [\n {\n \"source_url\": \"https://files.example.com/certificate.pdf\",\n \"roles\": [\n \"legal_name\"\n ]\n },\n {\n \"source_url\": \"https://files.example.com/bank-statement.pdf\",\n \"roles\": [\n \"address\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "5b0f3c9e-7f1a-4c55-9a51-1f9f7d2b8e40",
"state": "pending",
"submitted_at": "2026-10-17T14:05:02Z",
"decided_at": null,
"documents": [
{
"id": 81234,
"filename": "document",
"content_type": "application/pdf",
"byte_size": 248113,
"roles": [
"legal_name"
]
},
{
"id": 81235,
"filename": "document",
"content_type": "application/pdf",
"byte_size": 391002,
"roles": [
"address"
]
}
],
"documents_purged": false,
"documents_purge_after": null,
"rejection_reasons": [],
"last_error": null
}
}{
"error": "Supply an Idempotency-Key of 1 to 255 bytes",
"code": "invalid_idempotency_key"
}{
"error": "<string>"
}{
"error": "Verification resource not found",
"code": "not_found"
}{
"error": "A verification is already in review with Meta.",
"code": "review_in_progress"
}{
"error": "Document URLs must use HTTPS",
"code": "document_invalid"
}
